package ru.yandex.webmaster3;

import ru.yandex.wmconsole.data.info.BriefHostInfo;
import ru.yandex.wmtools.common.error.InternalException;

/**
 * User: azakharov
 * Date: 14.11.14
 * Time: 20:00
 */
public interface INewWebmasterHttpService {

    public void addHost(long userId, BriefHostInfo hostInfo) throws InternalException;

    public void removeHost(long userId, BriefHostInfo hostInfo) throws InternalException;

    public void verifyHost(long userId, BriefHostInfo hostInfo) throws InternalException;

    public void cancelVerification(long userId, BriefHostInfo hostInfo) throws InternalException;
}
